package com.ruoyi.web.controller.chenyanlogin.service;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.controller.chenyanlogin.service.impl.ZhwlCaller;

public interface HuiCunService {
    AjaxResult getBasicData();

    AjaxResult getCarePeopleData();

    AjaxResult getSnapshotReportData();


    AjaxResult getZhwlDeviceData();
    AjaxResult getZhwlDeviceData(ZhwlCaller.DeviceListQueryVO queryVO);

    AjaxResult getPointRankData();

    AjaxResult getCivilizedData();

    AjaxResult getVillageNewsData();

    AjaxResult syncVillagerData(int type);

    AjaxResult syncHouseData(int type);

    AjaxResult syncAllowanceData(int type);
}
